Subject: bug#53188: 28.0.90; if tooltip-mode is off, modeline context menu blocks minibuffer at column 36

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Jan 2022 11:59:58 +0200

> Date: Thu, 13 Jan 2022 08:26:11 +0000 (UTC)
> From: Van Ly <[email-masked]>
> cc: [email-masked]
> 
> On Tue, 11 Jan 2022, Eli Zaretskii wrote:
> 
> >> expected behavior
> >> * minibuffer's message line is readable for the length of the width
> >> of the emacs frame, modeline context menu offsets appropriately and
> >> does not block minibuffer message line
> >
> > Patches are welcome to pop up the menus so that they never overlap the
> > echo-area when tooltip-mode is nil.  (This must be done up front, when
> > calculating where to pop up the menu.)
> >
> > I do note that the most important use case where this comes into play,
> > which is menus on text-mode frames, already behaves that way.  So the
> > problem is rather small and confined to a somewhat marginal use case.
> >
> 
> Maybe tooltip-mode should be silent in the echo-area once nil is set.

I don't think I follow: do you mean that we should suppress _all_
help-echo text when tooltip-mode is nil?  That'd be too drastic, I
think, and unjustified.